Description

Should we (slowly?) adapt parser/interpreter/main to our coding conventions?

Related issues:

Related to CoCoALib - Design #1607: Coding guidelines New 03 Aug 2021

History

#1 - 04 Dec 2020 09:51 - Anna Maria Bigatti

- % Done changed from 0 to 10

I've done it for defaultPackageDir which is now IsDefaultPackageDir.

I find it easier, and that's the reason why we chose those coding conventions.

I propose to do it (at least locally) when we happen to modify those files.

#2 - 11 Dec 2020 12:01 - Anna Maria Bigatti

Discussion with John: OK, updating the style "as we go".

Keep theRing & co. for intrusive_ptr (at least to start with)

#3 - 04 Aug 2021 12:24 - Anna Maria Bigatti

- Related to Design #1607: Coding guidelines added
